Summary: GNOME default icons
Name: gnome-icon-theme
Version: 2.10.1
Release: 5mdk
License: GPL
Group: Graphical desktop/GNOME
URL: http://www.gnome.org/
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
Source1: mdk-icons.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires: perl-XML-Parser
BuildRequires: hicolor-icon-theme
BuildArch: noarch
Requires: hicolor-icon-theme
Requires(post):	gtk+2.0 >= 2.6.0
Requires(postun):gtk+2.0 >= 2.6.0

%description
GNOME default icons

%prep
%setup -q

%build

%configure2_5x

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std
#gw this link is broken
rm -f %buildroot%_datadir/icons/gnome/48x48/mimetypes/gnome-mime-text-x-sh.png

#add some mimetypes
for i in 48x48 16x16 32x32 ; do
  cd $RPM_BUILD_ROOT%{_iconsdir}/gnome/$i/mimetypes
  ln -s -f gnome-mime-application-msword.png gnome-mime-application-vnd.ms-word.png
  cd -
done

tar -C $RPM_BUILD_ROOT%{_iconsdir}/hicolor -xjf %{SOURCE1}

mkdir -p $RPM_BUILD_ROOT%{_datadir}/pkgconfig
mv $RPM_BUILD_ROOT%{_libdir}/pkgconfig/gnome-icon-theme.pc $RPM_BUILD_ROOT%{_datadir}/pkgconfig

%clean
rm -rf $RPM_BUILD_ROOT

%post
gtk-update-icon-cache --force --quiet %{_datadir}/icons/gnome 
gtk-update-icon-cache --force --quiet %{_datadir}/icons/hicolor

%postun
if [ "$1" = "0" ]; then
  gtk-update-icon-cache --force --quiet %{_datadir}/icons/gnome 
  gtk-update-icon-cache --force --quiet %{_datadir}/icons/hicolor
fi

%files
%defattr(-,root,root,-)
%doc ChangeLog NEWS TODO
%{_datadir}/icons/gnome
%{_datadir}/icons/hicolor
%{_datadir}/pkgconfig/%{name}.pc

%changelog
* Wed Sep 07 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.1-5mdk 
- Add source1 : icons for default directories

* Thu Sep 01 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.1-4mdk 
- Fix prereq (Mdk bug #17494)

* Wed Apr 27 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.1-3mdk 
- Move .pc file to %{_datadir}/pkgconfig, remove biarch stuff (no longer
  needed) and we're back as noarch package

* Fri Apr 22 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.1-2mdk 
- Run gtk-update-icon-cache when uninstalling package too

* Wed Apr 20 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.1-1mdk 
- Release 2.10.1 (based on Gtz Waschk package)

* Tue Mar 01 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.0-3mdk 
- run gtk-update-icon-cache at install time

* Mon Feb 28 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.8.0-2mdk
- this package has noarch contents but some locations are not noarch,
  i.e. make it arch-dependent
- provide 32-bit pkgconfig file on biarch platforms, don't bother
  with creating an extra package especially since only evoluton checks
  for its existence

* Mon Oct 18 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.0-1mdk
- New release 2.8.0

* Thu Sep 02 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.3-2mdk
- Add symlink for mimetype alias

* Mon Jun  7 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.2.3-1mdk
- New release 1.2.3

* Thu Apr 22 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.2.1-3mdk
- fix buildrequires

* Wed Apr 21 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.1-2mdk
- Fix BuildRequires

* Mon Apr 19 2004 Goetz Waschk <goetz@mandrakesoft.com> 1.2.1-1mdk
- New release 1.2.1

* Mon Apr 05 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.0-2mdk
- Requires hicolor theme package

* Fri Apr 02 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.0-1mdk
- Release 1.2.0 (with Gtz Waschk help)
- update doc list
- drop patch
- don't remove hicolor icons

* Tue Feb 10 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.1.6-3mdk
- remove broken symlink
- fix buildrequires again

* Sat Jan 31 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.1.6-2mdk
- fix buildrequires

* Fri Jan 30 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.1.6-1mdk
- patch to fix installation
- new version

* Thu Jan 22 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.5-2mdk
- Don't put icons in hicolor theme, doesn't work correctly ATM

* Tue Jan 13 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.1.5-1mdk
- new version

* Wed Dec 31 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.4-2mdk
- Clean specfile

* Tue Dec 30 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.4-1mdk
- Release 1.1.4

* Mon Dec  8 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.1.3-1mdk
- fix intltool build
- new version

* Mon Nov 24 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.1.2-1mdk
- new version

* Mon Nov 10 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.1.1-1mdk
- new version

* Wed Nov  5 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.1.0-1mdk
- new version

* Tue Sep 02 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.8-1mdk
- Release 1.0.8

* Mon Aug 25 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.7-1mdk
- Release 1.0.7

* Wed Jul  9 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.0.6-1mdk
- Release 1.0.6
- Remove patch 0 (no longer needed)

* Tue Jun 10 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.0.5-1mdk
- Release 1.0.5

* Wed Jun 04 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.0.4-1mdk
- Release 1.0.4

* Mon Jun 02 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.0.3-1mdk
- Release 1.0.3

* Wed Apr 16 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.0.2-1mdk
- Release 1.0.2

* Tue Jan 21 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.0-1mdk
- Release 1.0.0

* Mon Jan 13 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.91-1mdk
- Release 0.91

* Thu Dec 19 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.5-1mdk
- Release 0.1.5

* Wed Dec 11 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.4-1mdk
- Release 0.1.4

* Fri Nov 29 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.3-2mdk
- Patch0 : fix theme name

* Fri Nov 29 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.3-1mdk
- Release 0.1.3

* Wed Nov 20 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.1-1mdk
- Initial Mandrake package


